Subject: Re: Win 95 troubles
From: [email-masked] (jeffdb)

7 Nov 1998 08:38:26 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

in config.sys msdos.sys or autoexec.bat
set CYGWIN=  tty other_options
NOTE the SPACES this avoids a 2 off count bug in the CYGWIN variable handeling
don't start bash from a .bat file, or the command.com prompt
start it directly by double clicking or via a shortcut, this avoids 
some of the 16 bit code in user.exe that causes hangs.
don't use spaces in your %path% ie. use progra~1 instead of Program Files

On Wed, 4 Nov 1998 15:27:35 -0500, you wrote:

>Doing a large make on Windows 95 Rel 1, I'm seeing hard hangs and also:
>
>[main] C:\BIN\BASH.EXE 1228 (0) sig_send: wait for sig_complete event
>failed, sig -3, rc 258, error 288
>[main] BASH 1228 (60) sig_send: wait for sig_complete event failed, sig -3,
> rc 258, error 288
>[main] BASH 1228 (60) sig_send: wait for sig_complete event failed, sig -3,
> rc 258, error 288
>
>[main] BASH 1228 (0) sync_with_child: child -196699(0x26) died before
>initialization with status code 0x1
>[main] BASH 1228 (0) sync_with_child: *** child state child loading dlls
>/kitchawan/anchor/share/stubgen/stubgen: fork: No more processes
>
>I am as sure as I can be that I am NOT trying to run a parallel make.  The
>failures occur inside a relatively long bash script which runs a number of
>executables including some compiles.  But it runs everything one at a time.
>
>Is there a known problem with bash not waiting till a program finishes
>reliably?
>
>(The same make works correctly on NT.  But NT doesn't support my laptop
>very well so ...)
>
>
>
>Marc Auslander   <[email-masked]>   914 945-4346  (Fax x4425)
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".